## org.eclipse.emf.ecore.impl
Class EEnumImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EClassifierImpl
                                  org.eclipse.emf.ecore.impl.EDataTypeImpl
                                      org.eclipse.emf.ecore.impl.EEnumImpl

All Implemented Interfaces:
  Notifier, EClassifier, EDataType, EEnum, EModelElement, ENamedElement, EObject, InternalEObject, BasicExtendedMetaData.EClassifierExtendedMetaData.Holder

    public class EEnumImpl

extends EDataTypeImpl
implements EEnum

An implementation of the model object 'EEnum'.

The following features are implemented:

- `ELiterals`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected EList<EEnumLiteral>` `eLiterals` The cached value of the '`ELiterals`' containment reference list

Fields inherited from class org.eclipse.emf.ecore.impl.EDataTypeImpl
`defaultValue, defaultValueIsSet, SERIALIZABLE_EDEFAULT, SERIALIZABLE_EFLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.EClassifierImpl
`DEFAULT_VALUE_EDEFAULT, eClassifierExtendedMetaData, eTypeParameters, generatedInstanceClassName, INSTANCE_CLASS_EDEFAULT, INSTANCE_CLASS_NAME_EDEFAULT, instanceClass, instanceClassName, instanceTypeName, metaObjectID`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eProxyURI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `EEnumImpl()`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`protected void` `freeze()`
`java.lang.Object` `getDefaultValue()` Returns the value of the 'Default Value' attribute
`EEnumLiteral` `getEEnumLiteral(int intValue)` Returns the enum literal with the given value, or `null`.
`EEnumLiteral` `getEEnumLiteral(java.lang.String name)` Returns the enum literal with the given name, or `null`.
`EEnumLiteral` `getEEnumLiteralByLiteral(java.lang.String literal)` Returns the enum literal with the given literal value, or `null`.
`EList<EEnumLiteral>` `getELiterals()`
`boolean` `isInstance(java.lang.Object object)` Determines if the specified Object is an instance of this.
`protected void` `setDataTypeGeneratedInstanceClass(boolean isGenerated)`

Methods inherited from class org.eclipse.emf.ecore.impl.EDataTypeImpl
`isSerializable, setGeneratedInstanceClass, setInstanceClassGen, setSerializable, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.EClassifierImpl

`basicGetEPackage, basicSetInstanceClassName, basicSetInstanceTypeName, dynamicIsInstance, eBasicRemoveFromContainerFeature, eBasicSetContainer, getClassForName, getClassifierID, getEPackage, getEPackageGen, getETypeParameters, getExtendedMetaData, getInstanceClass, getInstanceClassGen, getInstanceClassName, getInstanceClassNameGen, getInstanceTypeName, getPrimitiveOrArrayClass, isSetInstanceClassName, isSetInstanceTypeName, setClassifierID, setExtendedMetaData, setInstanceClass, setInstanceClassName, setInstanceClassNameGen, setInstanceTypeName, setName, unsetInstanceClassName, unsetInstanceTypeName`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProperties, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EDataType
`isSerializable, setSerializable`

Methods inherited from interface org.eclipse.emf.ecore.EClassifier
`getClassifierID, getEPackage, getETypeParameters, getInstanceClass, getInstanceClassName, getInstanceTypeName, setInstanceClass, setInstanceClassName, setInstanceTypeName`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### eLiterals

    protected EList<EEnumLiteral> eLiterals

  The cached value of the '`ELiterals`' containment reference list.

  See Also:
    `getELiterals()`

Constructor Detail

### EEnumImpl

    protected EEnumImpl()

Method Detail

### freeze

    protected void freeze()

  Overrides:
    `freeze` in class `EModelElementImpl`

### setDataTypeGeneratedInstanceClass

    protected void setDataTypeGeneratedInstanceClass(boolean isGenerated)

  Overrides:
    `setDataTypeGeneratedInstanceClass` in class `EDataTypeImpl`

### getDefaultValue

    public java.lang.Object getDefaultValue()

  Description copied from interface: `EClassifier`
  Returns the value of the 'Default Value' attribute.

  The default value for the type, in the Java sense. For primitive types, it will be the Java primitive default wrapped appropriately. For `enums`, it will be the first enumerator. And for all other types derived from `java.lang.Object`, it will be null.

  Specified by:
    `getDefaultValue` in interface `EClassifier`
  Overrides:
    `getDefaultValue` in class `EDataTypeImpl`
  Returns:
    the value of the 'Default Value' attribute.
  See Also:
    `EcorePackage.getEClassifier_DefaultValue()`

### isInstance

    public boolean isInstance(java.lang.Object object)

  Determines if the specified Object is an instance of this.

  Specified by:
    `isInstance` in interface `EClassifier`
  Overrides:
    `isInstance` in class `EClassifierImpl`
  Parameters:
    `object` - the object in question.
  Returns:
    whether the object is an instance.
  See Also:
    `Class.isInstance(java.lang.Object)`

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `EDataTypeImpl`

### getELiterals

    public EList<EEnumLiteral> getELiterals()

  Specified by:
    `getELiterals` in interface `EEnum`
  Returns:
    the value of the 'ELiterals' containment reference list.
  See Also:
    `EcorePackage.getEEnum_ELiterals()`, `EEnumLiteral.getEEnum()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `EDataTypeImpl`
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `EDataTypeImpl`
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `EDataTypeImpl`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `EDataTypeImpl`
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### getEEnumLiteral

    public EEnumLiteral getEEnumLiteral(java.lang.String name)

  Description copied from interface: `EEnum`
  Returns the enum literal with the given name, or `null`.

  Specified by:
    `getEEnumLiteral` in interface `EEnum`
  Parameters:
    `name` - name in question.
  Returns:
    the enum literal with the given name, or `null`.

### getEEnumLiteral

    public EEnumLiteral getEEnumLiteral(int intValue)

  Description copied from interface: `EEnum`
  Returns the enum literal with the given value, or `null`. The values may not be unique; it returns the first.

  Specified by:
    `getEEnumLiteral` in interface `EEnum`
  Parameters:
    `intValue` - value in question.
  Returns:
    the enum literal with the given value, or `null`.

### getEEnumLiteralByLiteral

    public EEnumLiteral getEEnumLiteralByLiteral(java.lang.String literal)

  Description copied from interface: `EEnum`
  Returns the enum literal with the given literal value, or `null`.

  Specified by:
    `getEEnumLiteralByLiteral` in interface `EEnum`
  Parameters:
    `literal` - literal in question.
  Returns:
    the enum literal with the given literal value, or `null`.

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `EClassifierImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `EClassifierImpl`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.